package LATMOS::Accounts::Web::Controller::Remote;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Remote - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut

sub begin {
    my ( $self, $c ) = @_;

    if ($c->user_exists) {
        # Set login user:
        $c->model('Accounts')->db->{_user} =
        $c->user->{username};
    }
}

=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    $c->response->body('Matched LATMOS::Accounts::Web::Controller::Remote in Remote.');
}

sub end : Private {
    my ( $self, $c ) = @_;
    $c->stash->{data} ||= {};
    $c->forward($c->view('Json'));
}

=encoding utf8

=head1 AUTHOR

Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
